.option search='cells'

.prot

****************************************************************************
$ Simulation Hspice Process Models
$ Customer can modify the process conditions referring to Hspice Model files
****************************************************************************
.INCLUDE "./lib/design.hspice"
.INCLUDE "./lib/Def.hspice"
.LIB "./lib/model6.hspice" typical
.LIB "./lib/model6.hspice" diode_typical
.LIB "./lib/model7.hspice" typical
.LIB "./lib/model8.hspice" typical
.LIB "./lib/model8.hspice" diode
.LIB "./lib/model5.hspice" res_typical
.LIB "./lib/model9.hspice" diode_typical
.LIB "./lib/model3.hspice" SYM_Typical
.LIB "./lib/model4.hspice" SYMCT_Typical
.LIB "./lib/model1.hspice" HBT_Typical
.LIB "./lib/model2.hspice" MIM_Typical

.unprot

.subckt hdx1204b1 inp inn outp outn

xredriver agnd avdd inp inn outp outn eq0 eq1 eq2 eq3 de0 de1 s0 s1 pi3hdx1204b1


*********************************************************
* Power Supplies and Controls				*
*********************************************************
.param power=3.3
vavdd	avdd    agnd	power
vagnd	agnd	0	0


*********************************************************
* De-emphasis settings					*
*        De-emphasis    de1de0				*
* 	 0    dB        00				*
* 	-0.5  dB        01				*
* 	-0.7  dB        10				*
* 	-1.0  dB        11				*
*							*
* "1" = power ; "0" = 0V				*
*********************************************************
.param de1v=0 de0v=0

vde1 de1 agnd de1v
vde0 de0 agnd de0v


*********************************************************
* Swing settings					*
* 	Swing		s1s0				*
*	0.8  V          00				*
*       0.95 V          01				*
*       1.15 V          10				*
*       1.3  V          11				*
*							*
* "1" = power ; "0" = 0V				*
*********************************************************
.param s1v=power s0v=power

vs1 s1 agnd s1v 
vs0 s0 agnd s0v


*********************************************************
* Equalizer settings					*
* Measured at 6Gbps signal				*
*	EQ	    eq3eq2eq1eq0			*
*       0.25 dB         0000				*
*       0.8  dB         0001				*
*       1.1  dB         0010				*
*       2.2  dB         0011				*
*	4.1  dB         0100				*
*       7.1  dB         0101				*
*       9.0  dB         0110				*
*       10.3 dB         0111				*
*       11.8 dB         1000				*
*       13.9 dB         1001				*
*       15.3 dB         1010				*
*       16.9 dB         1011				*
*       17.9 dB         1100				*
*       19.2 dB         1101				*
*       20.5 dB         1110				*
*       22.2 dB         1111				*
*							*
* "1" = power ; "0" = 0V				*
*********************************************************
.param eq3v=0 eq2v=0 eq1v=0 eq0v=power

veq3 eq3 agnd eq3v
veq2 eq2 agnd eq2v
veq1 eq1 agnd eq1v
veq0 eq0 agnd eq0v


.ends hdx1204b1
